class AutoDebitEnrollmentDetails {
  AutoDebitEnrollmentDetails({
    List<String>? availableEnrollmentOptions,
    double? paymentAmount,
    String? paymentDate,
    String? paymentAccount,
    String? paymentBank,
  }) {
    _availableEnrollmentOptions = availableEnrollmentOptions;
    _paymentAmount = paymentAmount;
    _paymentDate = paymentDate;
    _paymentAccount = paymentAccount;
    _paymentBank = paymentBank;
  }

  AutoDebitEnrollmentDetails.fromJson(dynamic json) {
    _availableEnrollmentOptions = json['availableEnrollmentOptions'] != null
        ? json['availableEnrollmentOptions'].cast<List<String>>()
        : [];
    _paymentAmount = json['paymentAmount'];
    _paymentDate = json['paymentDate'];
    _paymentAccount = json['paymentAccount'];
    _paymentBank = json['paymentBank'];
  }
  List<String>? _availableEnrollmentOptions;
  double? _paymentAmount;
  String? _paymentDate;
  String? _paymentAccount;
  String? _paymentBank;

  List<String>? get availableEnrollmentOptions => _availableEnrollmentOptions;
  double? get paymentAmount => _paymentAmount;
  String? get paymentDate => _paymentDate;
  String? get paymentAccount => _paymentAccount;
  String? get paymentBank => _paymentBank;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['availableEnrollmentOptions'] = _availableEnrollmentOptions;
    map['paymentAmount'] = _paymentAmount;
    map['paymentDate'] = _paymentDate;
    map['paymentAccount'] = _paymentAccount;
    map['paymentBank'] = _paymentBank;
    return map;
  }
}
